import 'dart:convert';

class WaitingLineItem {
  String? deviceId;
  String? phone;
  String? createdAt;
  int? peopleCount;
  int? waitingNumber;

  WaitingLineItem.fromJson(Map<String, dynamic> json)
    : deviceId = json['device_id'],
      phone = json['phone'],
      createdAt = json['created_at'],
      peopleCount = json['people_count'],
      waitingNumber = json['waiting_number'];

  Map<String, dynamic> toJson() => {
    'device_id': deviceId,
    'phone': phone,
    'created_at': createdAt,
    'people_count': peopleCount,
    'waiting_number': waitingNumber
  };

  @override
  String toString() {
    return json.encode(this);
  }
}